#
# Parameters
#
scalex <- 1./250.
scaley <- 1./250.
z <- 2./250.

#
# read plot order
#
plotOrder <- read.csv("../plotOrder.csv")
order <- plotOrder[,"Order"]

#
# read samplePoints.csv
#
samplePoints <- read.csv("samplePoints.csv") 

#
# scaling
#
no <- samplePoints[,"No."]
x <- samplePoints[,"X"] * scalex
y <- samplePoints[,"Y"] * scaley

#
# write sampleDict
#
out <- file("sampleDict","w")

#
# write header
#
header <- "FoamFile
{
version 2.0;
format  ascii;
class   dictionary;
object  sampleDict;
}
// * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * //

setFormat raw;

surfaceFormat foamFile;

interpolationScheme cellPointFace;

fields
(
    U
    magU
    k
);

sets
(

    measuringPoints
    {
        type cloud;
        axis xyz;
        points          
        ("

writeLines(header,out,sep="\n")

#
# write sample points
#

ptr=numeric(no[length(no)])
for (i in 1:length(no)) {
  ptr[no[i]] <- i 
}

writeLines(sprintf("(%g %g %g) // %d",x[ptr[order]],y[ptr[order]],z,order),out,sep="\n")

# write footer and close outputfile
#
footer <- ");
}
);

surfaces
(
);

// *********************************************************************** //"

writeLines(footer,out,sep="\n")

close(out)
